
#################################################################

# Cygwin
# CC=gcc

# other unix'es
CC=cc

#################################################################

# hp-ux:
# CFLAGS = -Ae -O -s -z

# other unix'es
CFLAGS = -O -s

#################################################################

MODULE      =   mbedit
XNAM_MBEDIT =	$(MODULE)

COBJ_MBEDIT =	mbedit.o   wildname.o directry.o \
		switches.o window.o   perform.o \
 	        mbed_sub.o commands.o blocks.o \
                kb_input.o mon_outp.o paragraf.o \
                disp_hnd.o err_mess.o help_opt.o \
                mb_ctype.o microsft.o \
                memo_hnd.o file_hnd.o \
                vbios.o \
                calc.o     calchlp.o  calcevar.o calc_var.o \
                history.o  macro.o

HFILES =	config.h standard.h global.h config2.hh

#################################################################

$(XNAM_MBEDIT):		$(COBJ_MBEDIT)
			$(CC) $(CFLAGS) $(COBJ_MBEDIT) -o $@
			strip $@
			@echo '***' $@ made '***'

$(COBJ_MBEDIT):  	$(HFILES)

$(MODULE).o: $(MODULE).c $(MODULE).h $(HFILES)
wildname.o : wildname.c  wildname.h  $(HFILES)
directry.o : directry.c  directry.h  $(HFILES)
switches.o : switches.c  switches.h  $(HFILES)
window.o   : window.c    window.h    $(HFILES)
perform.o  : perform.c   perform.h   $(HFILES)
mbed_sub.o : mbed_sub.c  mbed_sub.h  $(HFILES)
commands.o : commands.c  commands.h  $(HFILES)
blocks.o   : blocks.c    blocks.h    $(HFILES)
kb_input.o : kb_input.c  kb_input.h  $(HFILES)
mon_outp.o : mon_outp.c  mon_outp.h  $(HFILES)
paragraf.o : paragraf.c  paragraf.h  $(HFILES)
disp_hnd.o : disp_hnd.c  disp_hnd.h  $(HFILES)
err_mess.o : err_mess.c  err_mess.h  $(HFILES)
help_opt.o : help_opt.c  help_opt.h  $(HFILES)
mb_ctype.o : mb_ctype.c  mb_ctype.h  $(HFILES)
microsft.o : microsft.c  microsft.h  $(HFILES)
memo_hnd.o : memo_hnd.c  memo_hnd.h  $(HFILES)
file_hnd.o : file_hnd.c  file_hnd.h  $(HFILES)
macro.o    : macro.c     macro.h     $(HFILES)
history.o  : history.c   history.h   $(HFILES)
vbios.o    : vbios.c     vbios.h     $(HFILES)
calc.o     : calc.c      calc.h      calchlp.h
calchlp.o  : calchlp.c   calchlp.h   $(HFILES)
calcevar.o : calcevar.c              $(HFILES)
calc_var.o : calc_var.c  calc_var.h  $(HFILES)

#################################################################

